API docs
Endpoints
Aave Hourly History
Fetch hourly snapshots including supply APR, borrow APR, total supplied and total borrowed for intraday analysis. Up to 1 year of market history is included. View full response field definitions.
GET
/v2/hourly-history/{marketSlug}
Query parameters
-
reserveAddress
The underlying asset contract address for the reserve.
-
startDate
Start date for the query in YYYY-MM-DD format. The requested range cannot exceed 30 days.
-
endDate
End date for the query in YYYY-MM-DD format. The requested range cannot exceed 30 days.
-
apiKey
Your Aavescan API key.
Example query
curl "https://api.aavescan.com/v2/hourly-history/aave-v3-ethereum?reserveAddress=0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48&startDate=2026-01-01&endDate=2026-01-30&apiKey=YOUR_KEY"
Example response (snippet)
{
"marketSlug": "aave-v3-ethereum",
"reserveAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-01-03T00:00:00.000Z",
"days": [
{
"date": "2026-01-01",
"hourly": [
{
"targetDate": "2026-01-01T00:00:00Z",
"timestamp": 1767225600,
"blockNumber": 24136052,
"symbol": "USDC",
"reserve": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"price": 0.99974,
"supplyApr": 0.03432101834043592,
"borrowApr": 0.04774713230056907,
"totalSupplied": 4729166177.578502,
"totalBorrowed": 3777202476.125647,
"totalSuppliedUsd": 4727936594.372331,
"totalBorrowedUsd": 3776220403.4818544,
"supplyIndex": 1.1575961055719182,
"borrowIndex": 1.2112046734167787
}
]
}
]
}